Bug 382411 (CVE-2007-5898) - CVE-2007-5898 php htmlentities/htmlspecialchars multibyte sequences
Summary: CVE-2007-5898 php htmlentities/htmlspecialchars multibyte sequences
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2007-5898
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On: 445917 445919 445920 445921 445922 445923 445924 445925
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-14 13:57 UTC by Mark J. Cox
Modified: 2019-09-29 12:22 UTC (History)
2 users (show)

Fixed In Version: 5.2.6-2.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-22 23:18:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0505 normal SHIPPED_LIVE Moderate: Red Hat Application Stack v2.1 security and enhancement update 2008-07-02 13:15:28 UTC
Red Hat Product Errata RHSA-2008:0544 normal SHIPPED_LIVE Moderate: php security update 2008-07-16 09:46:17 UTC
Red Hat Product Errata RHSA-2008:0545 normal SHIPPED_LIVE Moderate: php security and bug fix update 2008-07-16 09:57:19 UTC
Red Hat Product Errata RHSA-2008:0546 normal SHIPPED_LIVE Moderate: php security update 2008-07-16 09:59:22 UTC
Red Hat Product Errata RHSA-2008:0582 normal SHIPPED_LIVE Moderate: php security update 2008-07-22 12:30:50 UTC

Description Mark J. Cox 2007-11-14 13:57:42 UTC
http://www.php.net/ChangeLog-5.php#5.2.5

FIX: Fixed htmlentities/htmlspecialchars not to accept partial multibyte
sequences (CVE-2007-5898, Reported by Rasmus Lerdorf)

COMMENT: If a PHP page uses the htmlentities() and htmlspecialchars()
to display untrusted script input in HTML element attributes, a
cross-site-scripting attack may be possible, depending on the browser
used.  [Of Firefox 1.5, 2.0, MSIE 6, 7, only MSIE6 seems vulnerable]

AFFECTS: all

Comment 2 Mark J. Cox 2007-12-11 08:37:31 UTC
Unfortunately the CVSSv2 score provided by nvt.nist.gov has been incorrectly coded.

They gave CVSS v2 Base score: 10.0  (High) (AV:N/AC:L/Au:N/C:C/I:C/A:C)

But in fact it should be

CVSS v2 Base score: 4.3 (Medium) (AV:N/AC:M/Au:N/C:N/I:P/A:N)

We've sent a correction to NVD.


Comment 6 Fedora Update System 2008-06-14 04:20:02 UTC
php-5.2.6-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3864

Comment 7 Fedora Update System 2008-06-20 19:08:24 UTC
php-5.2.6-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Vincent Danen 2010-12-22 23:18:24 UTC
This was addressed via:

Red Hat Application Stack v2 for Enterprise Linux (v.5) RHSA-2008:0505)
Red Hat Enterprise Linux version 3 (RHSA-2008:0544)
Red Hat Enterprise Linux version 5 (RHSA-2008:0544)
Red Hat Enterprise Linux version 4 (RHSA-2008:0545)
Red Hat Enterprise Linux version 2.1 (RHSA-2008:0546)
Red Hat Application Stack v1 for Enterprise Linux AS (v.4) (RHSA-2008:0582)


Note You need to log in before you can comment on or make changes to this bug.